/* Place your CSS styles in this file */

h1 {
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
    font-weight: normal;
    color: #e05c95;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

img {
    cursor: pointer;
}

body {
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;

    background-image: url("IMG_2987.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#beMine, #response {
    display: none;
    text-align: center;
    margin-top: 20px;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#titleBox, #nameBox {
    background-color: rgba(154, 225, 92, 0.879);
    padding: 15px 30px;
    border-radius: 12px;
    margin-bottom: 20px;
    margin-top: 20px;
}

#title, #name {
    margin: 0;
    color: rgb(210, 78, 194);
    text-align: center;
}

button {
    margin: 10px;
    padding: 10px 18px;
    font-size: 16px;
    cursor: pointer;
    color: rgb(210, 78, 194);
    background-color: rgba(154, 225, 92, 0.879);
    border-color: rgba(128, 213, 54, 0.92);
    box-shadow: none;
}

p {
    font-size: 40px;
    font-family: 'Times New Roman', Times, serif;
    color: rgb(169, 14, 151);
}

#celebrateScreen {
    display: none;
    position: fixed;
    inset: 0;
    align-items: center;
    justify-content: center;
}

.heart {
    position: relative;
    width: 330px;
    height: 300px;
    background: #e05c95;
    transform: rotate(-45deg);

    display: flex;
    align-items: center;
    justify-content: center;

    color: white;
    font-size: 72px;
    font-weight: bold;
}

.heart::before,
.heart::after {
    content: "";
    position: absolute;
    width: 330px;
    height: 300px;
    background: #e05c95;
    border-radius: 50%;
}

.heart::before {
    top: -165px;
    left: 0;
}

.heart::after {
    left: 165px;
    top: 0;
}

.heart-text {
    transform: rotate(45deg);   /* undo the heart rotation */
    color: white;
    font-size: 64px;
    font-weight: bold;
    font-family: 'Times New Roman', Times, serif;
    text-align: center;
    z-index: 1;
}